Bug 242786 - [NEW PORT] devel/py-pytest-flask: Set of pytest fixtures for Flask extensions and applications
Summary: [NEW PORT] devel/py-pytest-flask: Set of pytest fixtures for Flask extensions...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: easy, feature
Depends on: 242756
Blocks: 242817
  Show dependency treegraph
 
Reported: 2019-12-22 01:00 UTC by Goran Mekić
Modified: 2020-02-17 09:06 UTC (History)
1 user (show)

See Also:


Attachments
py-pytest-flask.diff (2.50 KB, patch)
2019-12-22 01:00 UTC, Goran Mekić
no flags Details | Diff
py-pytest-flask.diff (2.29 KB, patch)
2020-01-31 11:17 UTC, Goran Mekić
meka: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2019-12-22 01:00:03 UTC
Created attachment 210124 [details]
py-pytest-flask.diff

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 12.0, amd64 tested)
  * maketest: OK (30 passed tests)
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-01-31 09:59:44 UTC
I can work on this at the end of the weekend if someone hasn't committed it first

@Goran:

If you can, try to remove pylint, cov and pep8 from the tests so they don't run, as those things dont need to be tested downstream (only for development).

If you can't skip pylint (though id be surprised if it isn't possible), use pylint-${PYTHON_VER} instead of pylint${PYTHON_PKGNAMESUFFIX} and confirm that the tests that use pylint actually call pylint-X.Y (not just "pylint")
Comment 2 Goran Mekić 2020-01-31 11:17:23 UTC
Created attachment 211219 [details]
py-pytest-flask.diff

Removed pylint, pep8 and cov, the QA remains the same.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 08:46:19 UTC
Update to 0.15.1 is out (dont worry about updating patch
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 08:50:04 UTC
Supports 2.7,3.4+ (current patch specifies 3.5+)
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 08:50:52 UTC
Specify version-specs for dependencies:

${PYTHON_PKGNAMEPREFIX}werkzeug>=0.7:www/py-werkzeug@${PY_FLAVOR} \
${PYTHON_PKGNAMEPREFIX}pytest>=3.6:devel/py-pytest@${PY_FLAVOR}
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 08:59:21 UTC
setup.py: setup_requires=["setuptools-scm"],

Needs to be added as a BUILD_DEPENDS (identified during poudriere)
Comment 7 commit-hook freebsd_committer 2020-02-17 09:06:16 UTC
A commit references this bug:

Author: koobs
Date: Mon Feb 17 09:05:29 UTC 2020
New revision: 526354
URL: https://svnweb.freebsd.org/changeset/ports/526354

Log:
  [NEW] devel/py-pytest-flask: Set of py.test fixtures to test Flask applications

  An extension of pytest test runner which provides a set of useful tools to
  simplify testing and development of the Flask extensions and applications.

  WWW: https://github.com/pytest-dev/pytest-flask

  PR:		242786
  Submitted by:	Goran Meki? <meka tilda center>

Changes:
  head/devel/Makefile
  head/devel/py-pytest-flask/
  head/devel/py-pytest-flask/Makefile
  head/devel/py-pytest-flask/distinfo
  head/devel/py-pytest-flask/pkg-descr
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2020-02-17 09:06:49 UTC
Committed, with changes (See comments)

Thanks Goran!